org.apache.commons.math3.linear

## Class NonPositiveDefiniteMatrixException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.exception.MathIllegalNumberException
            - - org.apache.commons.math3.exception.NumberIsTooSmallException
              - - org.apache.commons.math3.linear.NonPositiveDefiniteMatrixException

- All Implemented Interfaces:
    Serializable, ExceptionContextProvider

      public class NonPositiveDefiniteMatrixException
      extends NumberIsTooSmallException

  Exception to be thrown when a positive definite matrix is expected.
  Since:
    3.0
  Version:
    $Id: NonPositiveDefiniteMatrixException.java 1244107 2012-02-14 16:17:55Z erans $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonPositiveDefiniteMatrixException(double wrong, int index, double threshold)` Construct an exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumn()`
    `int` | `getRow()`
    `double` | `getThreshold()`

    - ### Methods inherited from class org.apache.commons.math3.exception.NumberIsTooSmallException

      `getBoundIsAllowed, getMin`

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalNumberException

      `getArgument`

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

      `getContext, getLocalizedMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonPositiveDefiniteMatrixException

          public NonPositiveDefiniteMatrixException(double wrong,
                                            int index,
                                            double threshold)

      Construct an exception.
      Parameters:
        `wrong` - Value that fails the positivity check.
        `index` - Row (and column) index.
        `threshold` - Absolute positivity threshold.

  - ### Method Detail

    - #### getRow

          public int getRow()

      Returns:
        the row index.

    - #### getColumn

          public int getColumn()

      Returns:
        the column index.

    - #### getThreshold

          public double getThreshold()

      Returns:
        the absolute positivity threshold.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.